Subject: Re: DWIM "git checkout frotz" to "git checkout -b frotz origin/frotz"

From: Clemens Buchacher <[email-masked]>
Date: Sun, 6 Jun 2010 18:55:54 +0200

On Sun, Jun 06, 2010 at 12:18:05PM -0400, Jeff King wrote:

> Moreover, the burden for arguing against it is a little higher. It is no
> longer "I think this is a bad idea" but "I think this is a bad idea, and
> it is so bad that it is worth changing behavior that users may have
> become accustomed to".

I argue that people are more likely to be surprised and confused by
this feature rather than being accustomed to it already. I am also
waiting to hear from someone who actively uses this feature.